com.sun.mirror.declaration

## Interface FieldDeclaration

All Superinterfaces:
  Declaration, MemberDeclaration

All Known Subinterfaces:
  EnumConstantDeclaration

    public interface FieldDeclaration
    extends MemberDeclaration

Represents a field of a type declaration.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConstantExpression()` Returns the text of a constant expression representing the value of this field if this field is a compile-time constant.
`Object` `getConstantValue()` Returns the value of this field if this field is a compile-time constant.
`TypeMirror` `getType()` Returns the type of this field.

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Method Detail

#### getType

    TypeMirror getType()

Returns the type of this field.

Returns:
  the type of this field

#### getConstantValue

    Object getConstantValue()

Returns the value of this field if this field is a compile-time constant. Returns `null` otherwise. The value will be of a primitive type or `String`. If the value is of a primitive type, it is wrapped in the appropriate wrapper class (such as `Integer`).

Returns:
  the value of this field if this field is a compile-time constant, or `null` otherwise

#### getConstantExpression

    String getConstantExpression()

Returns the text of a constant expression representing the value of this field if this field is a compile-time constant. Returns `null` otherwise. The value will be of a primitive type or `String`. The text returned is in a form suitable for representing the value in source code.

Returns:
  the text of a constant expression if this field is a compile-time constant, or `null` otherwise